import { BFastOptions } from '../bfast-option';
export declare function generateUUID(): string;
export declare function comparePlainTextWithSaltedHash(plainPassword: string, hashPassword: string): Promise<boolean>;
export declare function saltHashPlainText(plainText: string): Promise<string>;
export declare function generateToken(data: {
    [key: string]: any;
}, options: BFastOptions, expire?: any, host?: string): Promise<any>;
export declare function verifyToken(token: string, options: BFastOptions): Promise<any>;
